#! /bin/csh -fe
#
#   Reference set (FP) scaling, sorting, remergeing script by Scaler Elves
#
#
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#
set infile   = ./mtz/rawdata.mtz
set outfile  = ./mtz/reference.mtz
#
set tempfile = /tmp/jamesh/scaler_temp7261.make_ref
#
############################################################################
# now scan command line
foreach arg ( $* )
    # specific input file
    if(($arg =~ *.mtz)&&(-e $arg)) then
	if($arg =~ *.mtz) set infile = "$arg"
    endif
end
#
############################################################################
# first, pre-scale reference wavelength data
#
##########################################################################
scala hklin $infile  hklout $outfile \
  scales   ${tempfile}scales \
  rogues   ${tempfile}rogues \
  normplot ${tempfile}norm   \
  anomplot ${tempfile}anom << eof_scaleref
# save disk space
#NODUMP
#ANALYSE NOPLOT
# make sure scala doesnt do anyhting stupid like change the output filename
DNAME ref
PNAME ref

# resolution range
RESOLUTION 2 121.268

# wavelength FP : 0.97973 A = 12654.9 eV
# 11000 +     1 to   100 in ../raw.mtz
run     1 11001 to 11100

# global SCALA cards
SDCORR 1.3 0 0.03
INTENSITIES SCALE_PARTIALS 0.75 

# one scale and one B-factor per frame
#scales batch bfactor on
# Elves choice
scales batch bfactor on
# 30 scaling iterations, or convergence, whichever comes first
cycles 30 converge 0.1
# eigenvalue filter, if convergence is oscillating
#filter 1.0e-6 0.01

# no need for anomalous diffs in reference set
anomalous off

eof_scaleref
if($status) set BAD

# clean up
rm -f ${tempfile}scales
rm -f ${tempfile}norm
rm -f ${tempfile}anom
rm -f ${tempfile}rogues

rm -f ${tempfile}prep.mtz
rm -f ${tempfile}ref.mtz


##########################################################################
if((-e $outfile)&&(! $?BAD)) then
    echo "$outfile now contains a merged data set of FP "
else
    echo "scaling failed!  See above for why."
    exit 9
endif
##########################################################################

