#! /bin/csh -fe
#
#	Utility script for quick, tabular summary of Diso and Dano
#
#
###############################################################################
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk

echo " \044TABLE : Diso and Dano:"
echo " \044GRAPHS:Diso and Dano vs energy:A:1, 2, 3:"
echo " :Diso vs energy:A:1, 2:"
echo " :Dano vs energy:A:1, 3:"
echo "\044\044"
echo "energy  Diso  Dano   \044\044"
echo "\044\044"

cat  $1 |\
    nawk 'BEGIN{\
    E["FP"] = 12654.9 ; \
    }\
    $3 == "FPH="{++i;name[i] = $4;}\
    /TOTALS/{++j; diso[j]=substr($0,70,8)+0; dano[j]=substr($0,100,8)+0;\
    printf "%.1f %5.1f %5.1f\n", E[name[j]], diso[j], dano[j]}'

echo "\044\044"



echo " \044TABLE : Risos:"
echo " \044GRAPHS:Risos vs energy:A:1, 2, 3, 4:"
echo " :RFAC vs energy:A:1, 2:"
echo " :RF_I vs energy:A:1, 3:"
echo " :Wted_R vs energy:A:1, 4:"
echo "\044\044"
echo "energy  RFAC RF_I Wted_R   \044\044"
echo "\044\044"

cat  $1 |\
    nawk 'BEGIN{\
    E["FP"] = 12654.9 ; \
    }\
    $3 == "FPH="{++i;name[i] = $4;}\
    /TOTALS/{++j; RFAC[j]=substr($0,63,7)*100;\
                  RF_I[j]=substr($0,56,7)*100;\
                  Wted_R[j]=substr($0,49,7)*100;\
    printf "%.1f %5.1f %5.1f %5.1f\n", E[name[j]], RFAC[j], RF_I[j], Wted_R[j]}'

echo "\044\044"



